Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt

Use this file to discover all available pages before exploring further.

Model ID
openai/gpt-5.2-codex

API Usage

You can interact with the OpenAI gpt-5.2-codex model through various programming languages and methods. Below are examples showing how to use the model’s API.

API Examples

Generate a model response using the chat endpoint of OpenAI GPT-5.2-codex.

Create a model response

OpenAI’s most advanced interface for generating model responses. Supports text and image inputs, and text outputs. Create stateful interactions with the model, using the output of previous responses as input. Extend the model’s capabilities with built-in tools for file search, web search, computer use, and more. Allow the model access to external systems and data using function calling.

Default

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "input": "Tell me a three sentence bedtime story about a unicorn."
  }'

Streaming

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "instructions": "You are a helpful assistant.",
    "input": "Hello!",
    "stream": true
  }'

Reasoning

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "input": "How much wood would a woodchuck chuck?",
    "reasoning": {
      "effort": "low"
    }
  }'

Functions

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "input": "What is the weather like in Boston today?",
    "tools": [
      {
        "type": "function",
        "name": "get_current_weather",
        "description": "Get the current weather in a given location",
        "parameters": {
          "type": "object",
          "properties": {
            "location": {
              "type": "string",
              "description": "The city and state, e.g. San Francisco, CA"
            },
            "unit": {
              "type": "string",
              "description": "Temperature unit",
              "enum": ["celsius", "fahrenheit"]
            }
          },
          "required": ["location", "unit"]
        }
      }
    ],
    "tool_choice": "auto"
  }'

Image Input

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "input": [
      {
        "role": "user",
        "content": [
          {"type": "input_text", "text": "what is in this image?"},
          {
            "type": "input_image",
            "image_url": "https://qianwen-res.oss-cn-beijing.aliyuncs.com/Qwen-VL/assets/demo.jpeg"
          }
        ]
      }
    ]
  }'

File Input

curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "input": [
      {
        "role": "user",
        "content": [
          {"type": "input_text", "text": "what is in this file?"},
          {
            "type": "input_file",
            "file_url": "https://www.berkshirehathaway.com/letters/2024ltr.pdf"
          }
        ]
      }
    ]
  }'
curl https://api.gmi-serving.com/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $GMI_API_KEY" \
  -d '{
    "model": "openai/gpt-5.2-codex",
    "tools": [{ "type": "web_search_preview" }],
    "input": "What was a positive news story from today?"
  }'